// flow-typed signature: bbf4e160af014715a6835e79ef85e631
// flow-typed version: <<STUB>>/jsondiffpatch_v^0.2.4/flow_v0.47.0

/**
 * This is an autogenerated libdef stub for:
 *
 *   'jsondiffpatch'
 *
 * Fill this stub out by replacing all the `any` types.
 *
 * Once filled out, we encourage you to share your work with the
 * community by sending a pull request to:
 * https://github.com/flowtype/flow-typed
 */

declare module 'jsondiffpatch' {
  declare module.exports: any;
}

/**
 * We include stubs for each file inside this npm package in case you need to
 * require those files directly. Feel free to delete any files that aren't
 * needed.
 */
declare module 'jsondiffpatch/gulp-tasks/fiberglass' {
  declare module.exports: any;
}

declare module 'jsondiffpatch/gulpfile' {
  declare module.exports: any;
}

declare module 'jsondiffpatch/karma.conf' {
  declare module.exports: any;
}

declare module 'jsondiffpatch/public/build/jsondiffpatch-formatters' {
  declare module.exports: any;
}

declare module 'jsondiffpatch/public/build/jsondiffpatch-formatters.min' {
  declare module.exports: any;
}

declare module 'jsondiffpatch/public/build/jsondiffpatch-full' {
  declare module.exports: any;
}

declare module 'jsondiffpatch/public/build/jsondiffpatch-full.min' {
  declare module.exports: any;
}

declare module 'jsondiffpatch/public/build/jsondiffpatch' {
  declare module.exports: any;
}

declare module 'jsondiffpatch/public/build/jsondiffpatch.min' {
  declare module.exports: any;
}

declare module 'jsondiffpatch/public/build/test-bundle' {
  declare module.exports: any;
}

declare module 'jsondiffpatch/public/demo/consoledemo' {
  declare module.exports: any;
}

declare module 'jsondiffpatch/public/demo/demo' {
  declare module.exports: any;
}

declare module 'jsondiffpatch/public/demo/numeric-plugin' {
  declare module.exports: any;
}

declare module 'jsondiffpatch/public/external/diff_match_patch_uncompressed' {
  declare module.exports: any;
}

declare module 'jsondiffpatch/src/clone' {
  declare module.exports: any;
}

declare module 'jsondiffpatch/src/contexts/context' {
  declare module.exports: any;
}

declare module 'jsondiffpatch/src/contexts/diff' {
  declare module.exports: any;
}

declare module 'jsondiffpatch/src/contexts/patch' {
  declare module.exports: any;
}

declare module 'jsondiffpatch/src/contexts/reverse' {
  declare module.exports: any;
}

declare module 'jsondiffpatch/src/date-reviver' {
  declare module.exports: any;
}

declare module 'jsondiffpatch/src/diffpatcher' {
  declare module.exports: any;
}

declare module 'jsondiffpatch/src/environment' {
  declare module.exports: any;
}

declare module 'jsondiffpatch/src/filters/arrays' {
  declare module.exports: any;
}

declare module 'jsondiffpatch/src/filters/dates' {
  declare module.exports: any;
}

declare module 'jsondiffpatch/src/filters/lcs' {
  declare module.exports: any;
}

declare module 'jsondiffpatch/src/filters/nested' {
  declare module.exports: any;
}

declare module 'jsondiffpatch/src/filters/texts' {
  declare module.exports: any;
}

declare module 'jsondiffpatch/src/filters/trivial' {
  declare module.exports: any;
}

declare module 'jsondiffpatch/src/formatters/annotated' {
  declare module.exports: any;
}

declare module 'jsondiffpatch/src/formatters/base' {
  declare module.exports: any;
}

declare module 'jsondiffpatch/src/formatters/console' {
  declare module.exports: any;
}

declare module 'jsondiffpatch/src/formatters/html' {
  declare module.exports: any;
}

declare module 'jsondiffpatch/src/formatters/index' {
  declare module.exports: any;
}

declare module 'jsondiffpatch/src/formatters/jsonpatch' {
  declare module.exports: any;
}

declare module 'jsondiffpatch/src/main-formatters' {
  declare module.exports: any;
}

declare module 'jsondiffpatch/src/main-full' {
  declare module.exports: any;
}

declare module 'jsondiffpatch/src/main' {
  declare module.exports: any;
}

declare module 'jsondiffpatch/src/pipe' {
  declare module.exports: any;
}

declare module 'jsondiffpatch/src/processor' {
  declare module.exports: any;
}

declare module 'jsondiffpatch/test/examples/diffpatch' {
  declare module.exports: any;
}

declare module 'jsondiffpatch/test/index' {
  declare module.exports: any;
}

declare module 'jsondiffpatch/test/util/globals' {
  declare module.exports: any;
}

// Filename aliases
declare module 'jsondiffpatch/gulp-tasks/fiberglass.js' {
  declare module.exports: $Exports<'jsondiffpatch/gulp-tasks/fiberglass'>;
}
declare module 'jsondiffpatch/gulpfile.js' {
  declare module.exports: $Exports<'jsondiffpatch/gulpfile'>;
}
declare module 'jsondiffpatch/karma.conf.js' {
  declare module.exports: $Exports<'jsondiffpatch/karma.conf'>;
}
declare module 'jsondiffpatch/public/build/jsondiffpatch-formatters.js' {
  declare module.exports: $Exports<'jsondiffpatch/public/build/jsondiffpatch-formatters'>;
}
declare module 'jsondiffpatch/public/build/jsondiffpatch-formatters.min.js' {
  declare module.exports: $Exports<'jsondiffpatch/public/build/jsondiffpatch-formatters.min'>;
}
declare module 'jsondiffpatch/public/build/jsondiffpatch-full.js' {
  declare module.exports: $Exports<'jsondiffpatch/public/build/jsondiffpatch-full'>;
}
declare module 'jsondiffpatch/public/build/jsondiffpatch-full.min.js' {
  declare module.exports: $Exports<'jsondiffpatch/public/build/jsondiffpatch-full.min'>;
}
declare module 'jsondiffpatch/public/build/jsondiffpatch.js' {
  declare module.exports: $Exports<'jsondiffpatch/public/build/jsondiffpatch'>;
}
declare module 'jsondiffpatch/public/build/jsondiffpatch.min.js' {
  declare module.exports: $Exports<'jsondiffpatch/public/build/jsondiffpatch.min'>;
}
declare module 'jsondiffpatch/public/build/test-bundle.js' {
  declare module.exports: $Exports<'jsondiffpatch/public/build/test-bundle'>;
}
declare module 'jsondiffpatch/public/demo/consoledemo.js' {
  declare module.exports: $Exports<'jsondiffpatch/public/demo/consoledemo'>;
}
declare module 'jsondiffpatch/public/demo/demo.js' {
  declare module.exports: $Exports<'jsondiffpatch/public/demo/demo'>;
}
declare module 'jsondiffpatch/public/demo/numeric-plugin.js' {
  declare module.exports: $Exports<'jsondiffpatch/public/demo/numeric-plugin'>;
}
declare module 'jsondiffpatch/public/external/diff_match_patch_uncompressed.js' {
  declare module.exports: $Exports<'jsondiffpatch/public/external/diff_match_patch_uncompressed'>;
}
declare module 'jsondiffpatch/src/clone.js' {
  declare module.exports: $Exports<'jsondiffpatch/src/clone'>;
}
declare module 'jsondiffpatch/src/contexts/context.js' {
  declare module.exports: $Exports<'jsondiffpatch/src/contexts/context'>;
}
declare module 'jsondiffpatch/src/contexts/diff.js' {
  declare module.exports: $Exports<'jsondiffpatch/src/contexts/diff'>;
}
declare module 'jsondiffpatch/src/contexts/patch.js' {
  declare module.exports: $Exports<'jsondiffpatch/src/contexts/patch'>;
}
declare module 'jsondiffpatch/src/contexts/reverse.js' {
  declare module.exports: $Exports<'jsondiffpatch/src/contexts/reverse'>;
}
declare module 'jsondiffpatch/src/date-reviver.js' {
  declare module.exports: $Exports<'jsondiffpatch/src/date-reviver'>;
}
declare module 'jsondiffpatch/src/diffpatcher.js' {
  declare module.exports: $Exports<'jsondiffpatch/src/diffpatcher'>;
}
declare module 'jsondiffpatch/src/environment.js' {
  declare module.exports: $Exports<'jsondiffpatch/src/environment'>;
}
declare module 'jsondiffpatch/src/filters/arrays.js' {
  declare module.exports: $Exports<'jsondiffpatch/src/filters/arrays'>;
}
declare module 'jsondiffpatch/src/filters/dates.js' {
  declare module.exports: $Exports<'jsondiffpatch/src/filters/dates'>;
}
declare module 'jsondiffpatch/src/filters/lcs.js' {
  declare module.exports: $Exports<'jsondiffpatch/src/filters/lcs'>;
}
declare module 'jsondiffpatch/src/filters/nested.js' {
  declare module.exports: $Exports<'jsondiffpatch/src/filters/nested'>;
}
declare module 'jsondiffpatch/src/filters/texts.js' {
  declare module.exports: $Exports<'jsondiffpatch/src/filters/texts'>;
}
declare module 'jsondiffpatch/src/filters/trivial.js' {
  declare module.exports: $Exports<'jsondiffpatch/src/filters/trivial'>;
}
declare module 'jsondiffpatch/src/formatters/annotated.js' {
  declare module.exports: $Exports<'jsondiffpatch/src/formatters/annotated'>;
}
declare module 'jsondiffpatch/src/formatters/base.js' {
  declare module.exports: $Exports<'jsondiffpatch/src/formatters/base'>;
}
declare module 'jsondiffpatch/src/formatters/console.js' {
  declare module.exports: $Exports<'jsondiffpatch/src/formatters/console'>;
}
declare module 'jsondiffpatch/src/formatters/html.js' {
  declare module.exports: $Exports<'jsondiffpatch/src/formatters/html'>;
}
declare module 'jsondiffpatch/src/formatters/index.js' {
  declare module.exports: $Exports<'jsondiffpatch/src/formatters/index'>;
}
declare module 'jsondiffpatch/src/formatters/jsonpatch.js' {
  declare module.exports: $Exports<'jsondiffpatch/src/formatters/jsonpatch'>;
}
declare module 'jsondiffpatch/src/main-formatters.js' {
  declare module.exports: $Exports<'jsondiffpatch/src/main-formatters'>;
}
declare module 'jsondiffpatch/src/main-full.js' {
  declare module.exports: $Exports<'jsondiffpatch/src/main-full'>;
}
declare module 'jsondiffpatch/src/main.js' {
  declare module.exports: $Exports<'jsondiffpatch/src/main'>;
}
declare module 'jsondiffpatch/src/pipe.js' {
  declare module.exports: $Exports<'jsondiffpatch/src/pipe'>;
}
declare module 'jsondiffpatch/src/processor.js' {
  declare module.exports: $Exports<'jsondiffpatch/src/processor'>;
}
declare module 'jsondiffpatch/test/examples/diffpatch.js' {
  declare module.exports: $Exports<'jsondiffpatch/test/examples/diffpatch'>;
}
declare module 'jsondiffpatch/test/index.js' {
  declare module.exports: $Exports<'jsondiffpatch/test/index'>;
}
declare module 'jsondiffpatch/test/util/globals.js' {
  declare module.exports: $Exports<'jsondiffpatch/test/util/globals'>;
}
